.image-container {
    display: inline-block;
    text-align: center;
    vertical-align: middle;
    position: relative;
    line-height: 0;

    .image-content {
        width: 100%;
        display: block;
    }

    .image-label {
        background: black;
    }

    .input-file {
        display: none;
    }

    &:hover {
        .upload-icon {
            display: block;
        }

        .remove-icon {
            display: block;
        }

        .image-zoom {
            opacity: 1;
        }
    }

    .upload-icon {
        position: absolute;
        z-index: 3;
        top: calc(50% - 12px);
        left: calc(50% - 35px);
        font-size: 18pt;
        color: white;
        cursor: pointer;
        display: none;

        &.center-icon {
            top: calc(50% - 16px);
            left: calc(50% - 20px);
            font-size: 24pt;
        }
    }

    .add-new-icon {
        position: absolute;
        z-index: 3;
        top: calc(50% - 16px);
        left: calc(50% - 14px);
        font-size: 24pt;
        color: white;
        cursor: pointer;
    }

    .remove-icon {
        position: absolute;
        z-index: 2;
        top: calc(50% - 12px);
        right: calc(50% - 31.0px);
        font-size: 18pt;
        color: white;
        cursor: pointer;
        font-weight: bold;
        display: none;

        &.center-icon {
            top: calc(50% - 16px);
            left: calc(50% - 14px);
            font-size: 24pt;
        }
    }

    .image-zoom {
        opacity: 0;
        position: absolute;
        top: 0.2rem;
        right: 0.2rem;
        height: 2rem;
        width: 2rem;
        border-radius: 1rem;
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: var(--default-color);
        transition: .3s ease;
        text-align: center;
        cursor: pointer;
    }
}
